(function($){
  if( $(".slick-archive").length ) {
    $(".slick-archive").slick({
      arrows: true,
      dots: true,
      slidesToShow: 3,
      slidesToScroll: 3,
    });
  }
})(jQuery);

(function($){
  if( $(".plan_slide").length ) {
    $(".plan_slide").slick({
      arrows: true,
	  infinite: true,
      dots: false,
      slidesToShow: 1,
      slidesToScroll: 1,
    });
  }
})(jQuery);


$(window).fadeThis({
				   "reverse": false,
				   "speed":800
				   });




$(function() {
    var topBtn = $('.pagetop');    
    topBtn.hide();
    //スクロールが100に達したらボタン表示
    $(window).scroll(function () {
        if ($(this).scrollTop() > 300) {
            topBtn.fadeIn();
        } else {
            topBtn.fadeOut();
        }
    });
    //スクロールしてトップ
    topBtn.click(function () {
        $('body,html').animate({
            scrollTop: 0
        }, 500);
        return false;
    });
});




$(function() {
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $('.fadeIn').animate({
								 'opacity' : '1',
//								 'left':'0px'
}, 800);
			
        } 
    });
});



$(function(){
 
	$('#layer_board_area').layerBoard({
																		alpha:0.5,
																		limitMin: 1});
 
});


//tab切り替え


$(function() {
	$('.tab>li').click(function() {
		var num = $(this).parent().children('li').index(this);
			$('.tab').each(function(){
			$('>li',this).removeClass('current').eq(num).addClass('current');
		});
		$('.content').removeClass('current').eq(num).addClass('current');
	}).first().click();
	$('.tab.bottom>li').click(function() {
		 var speed = 400;
      var target = $('#tabTop');
      var position = target.offset().top;
      $('body,html').animate({scrollTop:position}, speed, 'swing');
      return false;
	});
});


//tab切り替え2019
$(function(){
	//ハッシュタグ読み込み
	var hash = location.hash;
	if(hash.length){
		if(hash.match(/#tab_facility/)){
			var tabname = hash.slice(13.1);
			tabname = tabname - 1;
			$('.content').removeClass('current').eq(tabname).addClass('current');
			$('.tab li').removeClass('current').eq(tabname).addClass('current');
			var speed = 400;
			var target = $('#tab_facility2');
      var position = target.offset().top;
			$('body,html').animate({scrollTop:position}, speed, 'swing');
      return false;
			
			
		}
	}
	

	});

//tab切り替え2019
$(function(){
	//ハッシュタグ読み込み
	var hash = location.hash;

	if(hash.length){
		if(hash.match(/#btab_facility/)){
			var tabname = hash.slice(14.1);
			tabname = tabname - 1;
			$('.content').removeClass('current').eq(tabname).addClass('current');
			$('.tab li').removeClass('current').eq(tabname).addClass('current');
			var speed = 400;
			var target = $('#btab_facility3');
      var position = target.offset().top;
			$('body,html').animate({scrollTop:position}, speed, 'swing');
      return false;		
		}
	}
		});


//tab切り替え2019
$(function(){
	//ハッシュタグ読み込み
	var hash = location.hash;

	if(hash.length){
		if(hash.match(/#ctab_facility/)){
			var tabname = hash.slice(14.1);
			tabname = tabname - 1;
			$('.content').removeClass('current').eq(tabname).addClass('current');
			$('.tab li').removeClass('current').eq(tabname).addClass('current');
			var speed = 400;
			var target = $('#ctab_facility1');
      var position = target.offset().top;
			$('body,html').animate({scrollTop:position}, speed, 'swing');
      return false;		
		}
	}
		});



//tab切り替え2019
$(function(){
	//ハッシュタグ読み込み
	var hash = location.hash;

	if(hash.length){
		if(hash.match(/#dtab_facility/)){
			var tabname = hash.slice(14.1);
			tabname = tabname - 1;
			$('.content').removeClass('current').eq(tabname).addClass('current');
			$('.tab li').removeClass('current').eq(tabname).addClass('current');
			var speed = 400;
			var target = $('#dtab_facility3');
      var position = target.offset().top;
			$('body,html').animate({scrollTop:position}, speed, 'swing');
      return false;		
		}
	}
		});
 // メニュー固定/////////////////////////////////////////////////////////////
   $(function() {
	   
	
	$(window).scroll(function () {
		if ($(this).scrollTop() > 200) {
			var win = $(window).width();
    var p = 640;
    if(win > p){
		$('.bana').addClass('bana-scroll');
		
	
	}
		} else {
			$('.bana').removeClass('bana-scroll');
	
		}
	});
   
	
});


$('.close').click(function () {
    $('.bana').addClass('bana-none');
});


 // モーダルウィンドウ/////////////////////////////////////////////////////////////
$(function(){
    var modal = $('#modal'),
        modalContent = $('#modal_content'),
        btnOpen = $("#btn_open"),
        btnClose = $(".btn_close");
 
    
        modal.show();
    
 
    $(modal).on('click', function(event) {
        if(!($(event.target).closest(modalContent).length)||($(event.target).closest(btnClose).length)){
            modal.hide();
        }
    });
});